org.apache.struts2.views.velocity

## Class VelocityBeanSelectionProvider

- java.lang.Object
- - org.apache.struts2.config.AbstractBeanSelectionProvider
  - - org.apache.struts2.views.velocity.VelocityBeanSelectionProvider

- All Implemented Interfaces:
    BeanSelectionProvider, ConfigurationProvider, ContainerProvider, PackageProvider

      public class VelocityBeanSelectionProvider
      extends AbstractBeanSelectionProvider

  Please see `StrutsBeanSelectionProvider` for more details.

  The following is a list of the allowed extension points:

  Type | Property | Scope | Description
  --- | --- | --- | ---
  org.apache.struts2.views.velocity.VelocityManager | struts.velocity.manager.classname | singleton | Loads and processes Velocity templates

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.config.AbstractBeanSelectionProvider

      `DEFAULT_BEAN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityBeanSelectionProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `register(ContainerBuilder builder, LocatableProperties props)`

    - ### Methods inherited from class org.apache.struts2.config.AbstractBeanSelectionProvider

      `alias, alias, destroy, init, loadPackages, needsReload`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityBeanSelectionProvider

          public VelocityBeanSelectionProvider()

  - ### Method Detail

    - #### register

          public void register(ContainerBuilder builder,
                               LocatableProperties props)
                        throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.